---
id: 6140cfc08ca9c5128c3e6478
title: Step 7
challengeType: 0
dashedName: step-7
---

# --description--

Set the `.line` selector's `position` property to `absolute`, the `left` property to `50%`, and the `top` property to `50%`.

# --hints--

Your `.line` selector should have a `position` property set to `absolute`.

```js
assert(new __helpers.CSSHelp(document).getStyle('.line')?.position === 'absolute');
```

Your `.line` selector should have a `left` property set to `50%`.

```js
assert(new __helpers.CSSHelp(document).getStyle('.line')?.left === '50%');
```

Your `.line` selector should have a `top` property set to `50%`.

```js
assert(new __helpers.CSSHelp(document).getStyle('.line')?.top === '50%');
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title> Learn CSS Animations by Building a Ferris Wheel</title>
    <link rel="stylesheet" href="./styles.css">
  </head>
  <body>
    <div class="wheel">
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>

      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
    </div>
  </body>
</html>
```

```css
.wheel {
  border: 2px solid black;
  border-radius: 50%;
  margin-left: 50px;
  position: absolute;
  height: 55vw;
  width: 55vw;
  max-width: 500px;
  max-height: 500px;
}

--fcc-editable-region--
.line {
  background-color: black;
  width: 50%;
  height: 2px;
}
--fcc-editable-region--
```
